%define	name		libwpd
%define	version		0.8.0
%define	release		1mdk
%define api_version	0.8
%define lib_major	8
%define lib_name	%mklibname wpd- %{api_version} %{lib_major}
 


Summary:	Libwpd is a library for reading/writing WordPerfect files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Office
URL:		http://libwpd.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglib2-devel
BuildRequires:	libgsf-devel

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n	%{lib_name}
Summary:	Libwpd is a library for reading/writing WordPerfect files
Group:		Office
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n	%{lib_name}-devel
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel
Provides:	libwpd0-devel
Obsoletes:	libwpd0-devel

%description -n	%{lib_name}-devel
Headers and development files for libwpd.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
 

%postun -n %{lib_name} -p /sbin/ldconfig
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-tools
%defattr(-,root,root)
%{_bindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwpd-%{api_version}*.so.*
%{_libdir}/libwpd-stream-%{api_version}*.so.*
%doc CHANGES COPYING INSTALL README TODO

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}*.so
%{_libdir}/libwpd-%{api_version}*.la
%{_libdir}/libwpd-stream-%{api_version}*.so
%{_libdir}/libwpd-stream-%{api_version}*.la
%dir %{_includedir}/libwpd-%{api_version}
%dir %{_includedir}/libwpd-%{api_version}/libwpd
%{_includedir}/libwpd-%{api_version}/libwpd/*

%changelog
* Mon Feb 21 2005 Charles A Edwards <eslrahc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- update api and major
- use api marco in file list

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.2-1mdk
- 0.7.2

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-3mdk
- rebuild

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-2mdk
- run libtoolize again

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Tue Jan 20 2004 Marcel Pol <mpol@mandrake.org> 0.7.0-1mdk
- 0.7.0
- autoconf 2.5 macro
- don't run libtoolize
- new soname

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 0.6.6-1mdk
- 0.6.6

* Tue Sep 16 2003 Marcel Pol <mpol@gmx.net> 0.6.1-1mdk
- 0.6.1
- new soname

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 0.5.0-3mdk
- own dir

* Fri Jul 11 2003 Marcel Pol <mpol@gmx.net> 0.5.0-2mdk
- don't provide/obsolete libwpd0, it never existed
- own dir (distlint)

* Sat May 31 2003 Marcel Pol <mpol@gmx.net> 0.5.0-1mdk
- from Torstein Dybdahl <torsted@runbox.no> 
    - 0.5.0
    - libpackage now also provided
- mklibname with new versioning

* Sun Apr 27 2003 Marcel Pol <mpol@gmx.net> 0.4.0-1mdk
- 0.4.0

* Thu Mar 27 2003 Marcel Pol <mpol@gmx.net> 0.3.2-1mdk
- initial mandrake package
